Name:           firehol
Version:        2.0.1
Release:        1%{?dist}
Summary:        Simple and powerful firewall and traffic shaping languages
License:        GPLv2+
URL:            http://firehol.org
Source0:        http://firehol.org/download/latest/firehol-%{version}.tar.xz
Source1:        firehol.service
Source2:        fireqos.service
BuildArch:      noarch
BuildRequires:  hostname
BuildRequires:  iproute
BuildRequires:  iptables
BuildRequires:  procps-ng
BuildRequires:  systemd
Requires:       coreutils
Requires:       gawk
Requires:       grep
Requires:       gzip
Requires:       hostname
Requires:       iproute
Requires:       iptables
Requires:       less
Requires:       procps-ng
Requires:       sed
Requires:       util-linux
Requires(post):  systemd
Requires(preun):  systemd
Requires(postun):  systemd
%if 0%{?rhel} > 0 && 0%{?rhel} < 7
Requires:       module-init-tools
%else
Requires:       kmod
%endif

%description
FireHOL is a generic firewall generator, meaning that you can design any kind
of local or routing stateful packet filtering firewalls with ease. Install
FireHOL if you want an easy way to configure stateful packet filtering
firewalls on Linux hosts and routers.

FireHOL uses an extremely simple but powerful way to define firewall rules
which it turns into complete stateful iptables firewalls.

You can run FireHOL with the 'helpme' argument, to get a configuration
file for the system run, which you can modify according to your
needs. The default configuration file will allow only client traffic
on all interfaces.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

# Hack for documentation without crufts.
rm -frv %{buildroot}%{_docdir}
find examples/ -name "Makefile*" -delete -print

# Install systemd units.
mkdir -p %{buildroot}%{_unitdir}
install -pm644 %{S:1} %{S:2} %{buildroot}%{_unitdir}

# Install runtime directories.
mkdir -p %{buildroot}%{_sysconfdir}/firehol/services
mkdir -p %{buildroot}%{_localstatedir}/spool/firehol

# Ghost configurations.
touch %{buildroot}%{_sysconfdir}/firehol/firehol.conf \
      %{buildroot}%{_sysconfdir}/firehol/fireqos.conf

%post
%systemd_post firehol.service
%systemd_post fireqos.service

%preun
%systemd_preun firehol.service
%systemd_preun fireqos.service

%postun
%systemd_postun_with_restart firehol.service
%systemd_postun_with_restart fireqos.service

%files
%doc AUTHORS NEWS README THANKS examples
%doc doc/firehol/firehol-manual.{pdf,html}
%doc doc/fireqos/fireqos-manual.{pdf,html}
%license COPYING
%dir %{_sysconfdir}/firehol
%config(noreplace) %{_sysconfdir}/firehol/firehol.conf
%config(noreplace) %{_sysconfdir}/firehol/fireqos.conf
%{_sysconfdir}/firehol/firehol.conf.example
%{_sysconfdir}/firehol/fireqos.conf.example
%{_sysconfdir}/firehol/services/bittorrent.conf.example
%{_unitdir}/firehol.service
%{_unitdir}/fireqos.service
%{_sbindir}/firehol
%{_sbindir}/fireqos
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%dir %{_sysconfdir}/firehol/services/
%{_localstatedir}/spool/firehol

%changelog
* Sun Feb 15 2015 Christopher Meng <cickumqt@gmail.com> - 2.0.1-1
- Update to 2.0.1

* Mon Aug 11 2014 Christopher Meng <cickumqt@gmail.com> - 2.0.0-0.1.rc1
- Update to 2.0rc1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.297-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 30 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 1.297-1
- Update to 1.297.

* Thu Nov 28 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 1.296-1
- Update to 1.296.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.273-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 17 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 1.273-12
- Fix functionality on EPEL5 and EPEL6 (BZ #952986).

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.273-11.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 02 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-10.1
- Removed the special characters from the IANA script.

* Tue Oct 02 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-10
- Updated get-iana.sh script (BZ #861799).

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.273-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Kay Sievers <kay@redhat.com> - 1.273-8
- modutils are for Linux 2.4 and no longer provided; depend on kmod

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.273-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.273-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 22 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-5
- Use patch instead of sed in %%prep phase.

* Fri May 15 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-4
- Spec file cleanups.

* Wed Oct 15 2008 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-3
- Use _initrddir.
- pre and post fixes.
- Disable automatical startup.

* Sun Oct 05 2008 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-2
- Fix rights of the config file.

* Sun Oct 05 2008 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-1
- First release.
